import request from '@/utils/request'
const baseUrl = '/ezhizao-dms-sys'
// 查询工艺主表列表
export function listTechnologicalProcess(query) {
  return request({
    url: baseUrl+ '/business/technologicalProcess/list',
    method: 'get',
    params: query
  })
}

// 查询工艺主表详细
export function getTechnologicalprocess(id) {
  return request({
    url: baseUrl+ '/business/technologicalProcess/' + id,
    method: 'get'
  })
}

// 新增工艺主表
export function addTechnologicalProcess(data) {
  return request({
    url: baseUrl+ '/business/technologicalProcess',
    method: 'post',
    data: data
  })
}

// 修改工艺主表
export function updateTechnologicalProcess(data) {
  return request({
    url: baseUrl+ '/business/technologicalProcess',
    method: 'put',
    data: data
  })
}

// 删除工艺主表
export function delTechnologicalProcess(id) {
  return request({
    url: baseUrl+ '/business/technologicalProcess/' + id,
    method: 'delete'
  })
}
